<html>
    <head>
        <title>Brill Iconclass AI Test Set</title>
    </head>
    <body style="margin: 0; padding: 0">
    <div style="width: 20vw; height: 75vh; float:right; margin-bottom: 2ch; margin-left: 2ch; background-color: #000; display: inline-block; ">
        <a href="https://brill.com/"><img src="logoblack.png" style="width: 18vw"/></a>
    </div>
    <div style="padding: 2ch; width: 100ch">
        <h1 id="aiconclass">Iconclass AI Test Set</h1>
<p>A test dataset and challenge to apply machine learning to collections described with the <a href="https://iconclass.org/">Iconclass</a> classification system.</p>
<p><strong>Please contact us with comments or suggestions, or if you do something interesting with this dataset so we can share it with the community</strong></p>
<p>Mail me at posthumus@brill.com or connect on Twitter: <span class="citation">[@epoz]</span>(https://twitter.com/epoz)</p>
<h2 id="data-description">Data Description</h2>
<p>A dataset of 87749 images with assigned Iconclass notations to be used in training. <a href="https://labs.brill.com/ictestset/data.zip">The dataset is available as a 3.1GB zip file.</a> (MD5: f20c7fc2d87011558bb4e918dba3b5f1) All image files are in a single directory, so beware of just unzipping the file.</p>
<p>The <em>data.json</em> file is a map of filenames to Iconclass notations, here is what the first few entries look like:</p>
<pre><code>{
  &quot;IIHIM_1956438510.jpg&quot;: [
    &quot;31A235&quot;,
    &quot;31A24(+1)&quot;,
    &quot;61B(+54)&quot;,
    &quot;61B:31A2212(+1)&quot;,
    &quot;61B:31D14&quot;
  ],
  &quot;IIHIM_-859728949.jpg&quot;: [
    &quot;41D92&quot;,
    &quot;25G41&quot;
  ],
  &quot;IIHIM_1207680098.jpg&quot;: [
    &quot;11H&quot;,
    &quot;11I35&quot;,
    &quot;11I36&quot;
  ],
  &quot;IIHIM_-743518586.jpg&quot;: [
    &quot;11F25&quot;,
    &quot;11FF25&quot;,
    &quot;41E2&quot;
  ]
}</code></pre>
<h2 id="image-files">Image files</h2>
<p>The image files in this dataset have maximum size of 500 pixels to the longest side, and have been sampled randomly from the <a href="https://www.arkyves.org">Arkyves</a> database.</p>
<h2 id="using-iconclass-from-python">Using Iconclass from Python</h2>
<p>To perform analysis and extract futher meaning from the assigned classifications you can use the Iconclass Python package. It can be installed with:</p>
<p><code>pip install iconclass</code></p>
<p>Then in a Python interpreter you can use Python like:</p>
<pre><code>&gt;&gt;&gt; import iconclass
&gt;&gt;&gt; iconclass.get(&#39;0&#39;)</code></pre>
<p><strong>NOTE:</strong> The first time you dop a iconclass.get(...) class, the complete Iconclass system will be downloaded as a sqlite file to the current working directory. This is a circa 50MB file, and it also contains a wealth of useful data for analysis purposes.</p>
<p>To get structural information on the classification codes for an image, you can for example say:</p>
<pre><code>&gt;&gt;&gt; iconclass.get(&#39;25G41&#39;)

{&#39;c&#39;: [&#39;25G41(...)&#39;,
       &#39;25G411&#39;,
       &#39;25G412&#39;,
       &#39;25GG41&#39;,
       &#39;25G41(+0)&#39;,
       &#39;25G41(+1)&#39;,
       &#39;25G41(+2)&#39;,
       &#39;25G41(+3)&#39;],
 &#39;kw&#39;: {&#39;de&#39;: [&#39;Blume&#39;],
        &#39;en&#39;: [&#39;flower&#39;],
        &#39;es&#39;: [&#39;flor&#39;],
        &#39;fi&#39;: [&#39;kukka&#39;],
        &#39;fr&#39;: [&#39;fleur&#39;],
        &#39;it&#39;: [&#39;fiore&#39;],
        &#39;nl&#39;: [&#39;bloem&#39;],
        &#39;pt&#39;: [&#39;flor&#39;]},
 &#39;n&#39;: &#39;25G41&#39;,
 &#39;p&#39;: [&#39;2&#39;, &#39;25&#39;, &#39;25G&#39;, &#39;25G4&#39;, &#39;25G41&#39;],
 &#39;txt&#39;: {&#39;de&#39;: &#39;Blumen&#39;,
         &#39;en&#39;: &#39;flowers&#39;,
         &#39;fi&#39;: &#39;kukat&#39;,
         &#39;fr&#39;: &#39;fleurs&#39;,
         &#39;it&#39;: &#39;fiori&#39;,
         &#39;nl&#39;: &#39;Bloemen….(met NAAM)&#39;,
         &#39;pt&#39;: &#39;flores&#39;,
         &#39;zh&#39;: &#39;花卉&#39;}}
</code></pre>
<p>The keys in the returned dict are:</p>
<ul>
<li>'n' The notation of this node (the same thing as the first parameter of the .get() call)</li>
<li>'p' Path to this node, starting from the root of the hierarchy</li>
<li>'c' Children (descendants) of this node</li>
<li>'kw' Keywords, a dict keyed on two-letter language code containing keywords asociated with this entry</li>
<li>'txt Textual descriptions of this notation, a dict of strings keyed on two-letter language code.</li>
</ul>
<p>You can also retrieve the notations in a list like:</p>
<pre><code> iconclass.get_list([&quot;11F25&quot;, &quot;41E2&quot;])</code></pre>
</div>
    </body>
</html>